package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 数据源类型(DmpSyncingDatasourceType)实体类
 *
 * @author Bellamy
 * @since 2020-12-21 18:39:06
 */
@ApiModel("数据源类型")
public class DmpSyncingDatasourceType implements Serializable {
    private static final long serialVersionUID = 526021146272437267L;
    /**
     * ID
     */
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 数据源名称
     */
    @ApiModelProperty(value = "数据源名称")
    private String datasource;
    /**
     * 数据源分类
     */
    private String datasourceCatecode;
    /**
     * 数据源分类
     */
    private String datasourceCatename;
    /**
     * 数据源类型
     */
    private String datasourceType;
    /**
     * 数据源图标
     */
    private String imgUrl;

    private String dataStatus;

    private String isEnabled;

    private String datasourceCatetype;

    private String driverClassName;

    private String isEnableTest;

    private Object defaultSourceScript;

    private Object defaultTargetScript;

    private String isEnableSource;

    private String isEnableTarget;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDatasource() {
        return datasource;
    }

    public void setDatasource(String datasource) {
        this.datasource = datasource;
    }

    public String getDatasourceCatecode() {
        return datasourceCatecode;
    }

    public void setDatasourceCatecode(String datasourceCatecode) {
        this.datasourceCatecode = datasourceCatecode;
    }

    public String getDatasourceCatename() {
        return datasourceCatename;
    }

    public void setDatasourceCatename(String datasourceCatename) {
        this.datasourceCatename = datasourceCatename;
    }

    public String getDatasourceType() {
        return datasourceType;
    }

    public void setDatasourceType(String datasourceType) {
        this.datasourceType = datasourceType;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(String isEnabled) {
        this.isEnabled = isEnabled;
    }

    public String getDatasourceCatetype() {
        return datasourceCatetype;
    }

    public void setDatasourceCatetype(String datasourceCatetype) {
        this.datasourceCatetype = datasourceCatetype;
    }

    public String getDriverClassName() {
        return driverClassName;
    }

    public void setDriverClassName(String driverClassName) {
        this.driverClassName = driverClassName;
    }

    public String getIsEnableTest() {
        return isEnableTest;
    }

    public void setIsEnableTest(String isEnableTest) {
        this.isEnableTest = isEnableTest;
    }

    public Object getDefaultSourceScript() {
        return defaultSourceScript;
    }

    public void setDefaultSourceScript(Object defaultSourceScript) {
        this.defaultSourceScript = defaultSourceScript;
    }

    public Object getDefaultTargetScript() {
        return defaultTargetScript;
    }

    public void setDefaultTargetScript(Object defaultTargetScript) {
        this.defaultTargetScript = defaultTargetScript;
    }

    public String getIsEnableSource() {
        return isEnableSource;
    }

    public void setIsEnableSource(String isEnableSource) {
        this.isEnableSource = isEnableSource;
    }

    public String getIsEnableTarget() {
        return isEnableTarget;
    }

    public void setIsEnableTarget(String isEnableTarget) {
        this.isEnableTarget = isEnableTarget;
    }

}